Jump to content
  • Apple to pull plug on devices running older software


    Karlston

    • 225 views
    • 3 minutes
     Share


    • 225 views
    • 3 minutes

    Apple will shut down its online services for devices running older software. If your device runs on older software, you might want to check the devices for which Apple plans to shut down its online services.

     

    According to Stella Fudge, a Twitter leaker, Apple plans to shut down its online services for older devices. Almost all services will be unavailable for older iOS, macOS, watchOS, and tvOS versions, with the exception of iCloud.

     

    The leak also says that users who are using older software will be notified of the situation and asked to update their devices if that is possible. Most older phones don't support the latest iOS versions.

     

    Stella Fudge's leak looks legit, as Apple recently said: "Some older software versions will no longer support Apple Services like the App Store, Siri, and Maps. Update your software to the latest available version to continue using these services."

     

    Older devices will no longer use online services

    The company hasn't specified why, but most iPhone users won't be affected. According to a report from MacRumors, Apple announced that only 8% of actively used iPhones run iOS14 or older. You might want to double-check your software version if you are one of them. Apple plans to shut down its online services for devices running the versions below:

     

    • iOS 11-11.2.6
    • macOS 10.13-10.13.3
    • watchOS 4-4.2.3
    • tvOS 11-11.2.6

     

    Just like any other smartphone company, Apple also cuts its support for older devices after some time. With the developing technologies, it becomes harder for older devices to keep up with, and the solution is to stop their updates, as well as push people to buy the latest models. Apple has been giving online service access to older devices for a long time; however, this is expected to change soon.

     

    apple-services.jpg
    9to5Mac

    Almost all of Apple's services are connected to its operating systems, like iOS and macOS. That is one of the main reasons the company allowed older devices to use online services. Unfortunately, there is a strong possibility that this will change very soon.

     

    iOS 17 is almost out, and a recent rumor showed that Apple devices that won't have support. iPhone 8, iPhone 8 Plus, iPhone X, iPad (5th gen), 9.7-inch iPad Pro (1st gen), and 12.9-inch iPad Pro (1st gen) are the rumored devices. For more information, check out our article!

     

     

     

    Apple to pull plug on devices running older software


    User Feedback

    Recommended Comments

    There are no comments to display.



    Join the conversation

    You can post now and register later. If you have an account, sign in now to post with your account.
    Note: Your post will require moderator approval before it will be visible.

    Guest
    Add a comment...

    ×   Pasted as rich text.   Paste as plain text instead

      Only 75 emoji are allowed.

    ×   Your link has been automatically embedded.   Display as a link instead

    ×   Your previous content has been restored.   Clear editor

    ×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...